Bug 1573700 - Update OpenJDK to 8u172 ahead of the July 2018 security update
Summary: Update OpenJDK to 8u172 ahead of the July 2018 security update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: zzambers
URL:
Whiteboard:
Depends On:
Blocks: 1588364
TreeView+ depends on / blocked
 
Reported: 2018-05-02 05:01 UTC by Andrew John Hughes
Modified: 2018-10-30 07:29 UTC (History)
7 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.172-1.b11.el7
Doc Type: Bug Fix
Doc Text:
This update applies changes from OpenJDK upstream version 8u172, which provides a number of bug fixes over the previous version, 8u171.
Clone Of:
: 1588364 (view as bug list)
Environment:
Last Closed: 2018-10-30 07:27:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8154017 None None None 2018-06-04 16:06:50 UTC
Red Hat Product Errata RHBA-2018:3017 None None None 2018-10-30 07:29:13 UTC

Description Andrew John Hughes 2018-05-02 05:01:41 UTC
This is the successor to bug 1307108, bug 1335322, bug 1359857, bug 1391132, bug 1508017 and bug 1538772.

With RHEL 7, we aim to provide the "latest and greatest" version of OpenJDK to end users as soon as possible (see bug 922089).

Oracle began maintenance of OpenJDK 8 by making two releases in tandem at quarterly points through the year (January, April, July & October). One was a security update that we shipped immediately via async errata, and backport to OpenJDK 6 & 7 as well. There was also a bug fix update which includes both security fixes and other bug fixes. It is this release which then forms the basis for the security update three months later.

Despite stalling between October 2016 and October 2017, this process now seems to be back on track. In April 2018, 8u171 (which we shipped to customers on all RHEL platforms) and 8u172 were released. This means that the July 2018 security update, 8u181, will be based on 8u172.

As such, it would be good to get u172 into RHEL ahead of this security update to reduce the potential for problems. 

To actually fulfil our promise of the "latest and greatest", this should go out to users via z-stream in RHEL 7.5, as we have in the past.

Comment 1 Andrew John Hughes 2018-05-11 05:54:50 UTC
Requesting z-stream so we can meet the "latest and greatest" aim.

Comment 5 zzambers 2018-07-10 11:23:23 UTC
surpassed by JDK 8u181 (java-1.8.0-openjdk-1.8.0.181-4.b04.el7)

Comment 7 errata-xmlrpc 2018-10-30 07:27:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3017


Note You need to log in before you can comment on or make changes to this bug.